This page documents the canonical HTTP contract for this endpoint.
This route currently requires an authenticated user session. Developer API keys are blocked by the backend for this route.
Path parameters
lead_idrequiredstring
Lead ID.
| Name | Type | Description |
|---|---|---|
| lead_idrequired | string | Lead ID. |
Query parameters
new_statusrequiredstring
Required query parameter. One of: new, qualified, contacting, converted, customer, unqualified, bad_data, nurture.
| Name | Type | Description |
|---|---|---|
| new_statusrequired | string | Required query parameter. One of: new, qualified, contacting, converted, customer, unqualified, bad_data, nurture. |
Errors
| Status | Meaning |
|---|---|
| 400 | Invalid status value. |
| 401 | Missing or invalid user session. |
| 403 | Developer API keys are blocked for this session-only route. |
| 404 | Lead not found. |
